Subject: SRH provision security

From: Jean-Michel Combes <[email-masked]>
Date: Mon, 23 Mar 2015 17:14:45 +0100

Hi,

as promised during the session, here is a clarification about my second
comment about the trust relationship between a node, outside the SR domain,
requesting a SRH to controller.

Assuming that a PSK has been compromised (HMAC Key ID = HKID1) and the
controller is aware (i.e., using another HMAC Key ID = HKID2 for the
requested SRH), what will happen if a MitM attack is set up between the
controller and the requesting node (the SRH is modified and signed with
HKID1, of course)? How the requesting node could be aware of this attack?

Thanks in advance for your reply.

Best regards,

JMC.